Subject: Re: linux-next: Tree for Mar 11 (arm:multi_v5_defconfig build failure)

From: Simon Guinot <[email-masked]>
Date: Wed, 11 Mar 2015 17:21:41 +0100

On Wed, Mar 11, 2015 at 08:55:48AM -0700, Guenter Roeck wrote:
> On Wed, Mar 11, 2015 at 04:35:58PM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Changes since 20150310:
> > 
> > New tree: drm-exynos
> > 
> > The sound-asoc tree still had its build failure so I used the version from
> > next-20150306.
> > 
> > The regulator tree lost its build failure.
> > 
> > The tip tree gained a conflict against the usb-gadget-fixes tree.
> > 
> > The staging tree lost its build failure.
> > 
> > Non-merge commits (relative to Linus' tree): 3446
> >  3448 files changed, 138744 insertions(+), 73083 deletions(-)
> > 
> > ----------------------------------------------------------------------------
> > 
> Building arm:multi_v5_defconfig ... failed
> --------------
> Error log:
> arch/arm/boot/dts/kirkwood-nas2big.dts:15:43: fatal error:
> 	dt-bindings/leds/leds-netxbig.h: No such file or directory
>  #include <dt-bindings/leds/leds-netxbig.h>
> 
> Caused by commit a9e58557e99 ("ARM: Kirkwood: add DT description for nas2big").
> Yes, that file doesn't exist.

Hi,

This should be fixed quickly. I sent a patch this morning:
http://www.spinics.net/lists/arm-kernel/msg404676.html

I believe that Gregory will merge or squash this patch soon in the
mvebu/for-next branch.

I apologize for the inconvenience.

Simon